RET Time Now
RET is the abbreviation of Réunion Time. Time zone offset of RET is UTC+04. Réunion Time is 4 hours ahead from the UTC universal time. RET current date is 8th Thursday October 2026. Current time in RET (RET).
RET Time
21:50:34
8 October 2026 Thursday
RET or Réunion Time is a time standard used at very small territory of Réunion Island, which is considered French territory located in Indian Ocean. Réunion Time is 4 hours ahead of the UTC universal time.
What time is it in Réunion Time now? It is 21:50:34 right now.
Réunion Time Date and Time Now in Various Formats
| Date Time Format | RET Date Time Now |
|---|---|
| UTC | 2026-10-08T21:50:34Z |
| ISO-8601 | 2026-10-08T21:50:34+0000 |
| RFC 2822 | Thu, 08 Oct 2026 21:50:34 +0000 |
| RFC 850 | Thursday, 08-Oct-26 21:50:34 UTC |
| RFC 1036 | Thu, 08 Oct 26 21:50:34 +0000 |
| RFC 1123 | Thu, 08 Oct 2026 21:50:34 +0000 |
| RFC 822 | Thu, 08 Oct 26 21:50:34 +0000 |
| RFC 3339 | 2026-10-08T21:50:34+00:00 |
| ATOM | 2026-10-08T21:50:34+00:00 |
| COOKIE | Thursday, 08-Oct-2026 21:50:34 UTC |
| RSS | Thu, 08 Oct 2026 21:50:34 +0000 |
| W3C | 2026-10-08T21:50:34+00:00 |
| Unix Epoch | 1791496234 |
| YYYY-DD-MM HH:MM:SS | 2026-08-10 21:50:34 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-08-10 09:50:34 PM |
| DD-MM-YYYY HH:MM:SS | 08-10-2026 21:50:34 |
| MM-DD-YYYY HH:MM:SS | 10-08-2026 21:50:34 |